<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="NPCBlockirator"
	description="При получении сигнала блокирует все последующие на заданый интервал времени."
	fileName="NPCBlockirator.jar" className="org.mati.npc.components.blockirator.NCBlockirator"
	version="8872" time="17.02.2009 01:05:07">

	<INLink name="inSignalSensor" description="Входящий сигнал с сенсора."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="inSignalEffector" description="Входящий сигнал с еффектора."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutSensorListener"
		description="Передает сигнал."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutEffector"
		description="Передает сигнал."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	
	<Attribute name="BlockTime" description="Время блокирования"
		defaultValue="0"
		nullable="false" type="java.lang.Integer">
	</Attribute>

</ClassComponent>